{ pkgs, ... }:

pkgs.stdenv.mkDerivation {
  version = "1.300 ";
  pname = "gayathri";

  src = pkgs.fetchzip {
    url = "https://smc.org.in/downloads/fonts/gayathri/gayathri.zip";
    hash = "sha256-p9KZi31Na4hfUuDsKj4OXjc9s6J/8xMeuszlL5oVauQ=";
    stripRoot = false;
  };

  installPhase = ''
    runHook preInstall

    install -D -m444 -t $out/share/fonts/opentype $src/*.otf

    runHook postInstall
  '';

  meta = with pkgs.lib; {
    homepage = "https://smc.org.in/fonts/gayathri";
    description = "Chilanka Malayalam Typeface";
    license = licenses.ofl;
    platforms = platforms.all;
    maintainers = with maintainers; [ aashiks ];
  };
}
